Longfellow ZK 0290cb32

Loading...
Searching...
No Matches
Data Structures | Public Types | Public Member Functions | Static Public Attributes
proofs::CborWitness< Field > Class Template Reference

## Data Structures
struct | global_witness
struct | position_witness

## Public Types
using | Elt = typename Field::Elt
using | CElt = typename Field::CElt
using | counters = std::array<size_t, kNCounters>
using | vindex = std::array<Elt, kIndexBits>
using | v8 = std::array<Elt, 8>

## Public Member Functions
| CborWitness (const Field &F)
vindex | index (size_t j) const
void | fill_witnesses (size_t n, size_t input_len, const uint8_t bytes[], v8 in[], position_witness pw[], global_witness &gw) const

## Static Public Attributes
static constexpr size_t | kNCounters = CborConstants::kNCounters
static constexpr size_t | kIndexBits = CborConstants::kIndexBits

The documentation for this class was generated from the following file:

- lib/circuits/cbor_parser/cbor_witness.h